Game Develop Core: gd::ChooseAutomatismDialog Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
gd::ChooseAutomatismDialog Class Reference
IDE Dialogs ( Pre-made dialogs to be used to implement a development environment )

Dialog used to choose an automatism of an object. More...

`#include <ChooseAutomatismDialog.h>`

Inheritance diagram for gd::ChooseAutomatismDialog:
[legend]

## Public Member Functions

| ChooseAutomatismDialog (wxWindow *parent, Project &project, gd::Layout &layout, std::string parentObject_, std::string automatismTypeAllowed_)
const std::string & | GetChosenAutomatism () const

## Public Attributes

wxSearchCtrl * | searchCtrl
wxButton * | ChoisirBt
wxPanel * | Panel1
wxStaticText * | StaticText1
wxStaticLine * | StaticLine2
wxButton * | AnnulerBt
wxListBox * | automatismsList
wxStaticBitmap * | StaticBitmap3

## Static Protected Attributes

static const long | ID_STATICBITMAP3 = wxNewId()
static const long | ID_STATICTEXT1 = wxNewId()
static const long | ID_PANEL1 = wxNewId()
static const long | ID_STATICLINE2 = wxNewId()
static const long | ID_LISTBOX1 = wxNewId()
static const long | ID_TEXTCTRL1 = wxNewId()
static const long | ID_BUTTON1 = wxNewId()
static const long | ID_BUTTON2 = wxNewId()

## Detailed Description

Dialog used to choose an automatism of an object.

## Constructor & Destructor Documentation

gd::ChooseAutomatismDialog::ChooseAutomatismDialog | ( | wxWindow * | parent,
|  | Project & | project,
|  | gd::Layout & | layout,
|  | std::string | parentObject_,
|  | std::string | automatismTypeAllowed_
| ) |  |

Default constructor

Parameters

  parent | The wxWidgets parent window
  project | Project
  layout | Layout
  parentObject | The object from which an automatism must be chosen
  automatismTypeAllowed | If not empty, only automatisms of this type will be shown

## Member Function Documentation

const std::string& gd::ChooseAutomatismDialog::GetChosenAutomatism | ( | ) |  | const

inline

Return the chosen automatism name

The documentation for this class was generated from the following files:

- ChooseAutomatismDialog.h
- ChooseAutomatismDialog.cpp